<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: Osim2URDF Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceosim2urdf__parser__tst.html">osim2urdf_parser_tst</a></li><li class="navelem"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html">Osim2URDF</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classosim2urdf__parser__tst_1_1Osim2URDF-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Osim2URDF Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5c9999ae227add204f1e9c68116c7dfe"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a5c9999ae227add204f1e9c68116c7dfe">__init__</a> (self, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a9f54d2dc5d4fa370b21318fc2048ca16">osim_path</a>, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a14b6c255e88e6bed45a209ce767dd623">vtp_path</a>, <a class="el" href="namespaceosim2urdf__parser__tst.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a>, <a class="el" href="namespaceosim2urdf__parser__tst.html#a8161856d320b780394891de051cc0133">ros_package_path</a>, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ad143f53e4f83b6d81380060156d750f2">exactly_visual</a>, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a0e0e68b3bdd3f1248b0b278e434fc90f">exactly_collision</a>, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a27dbffa1687bc480f4f4a42987059465">correc_stl_dic</a>, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aa9e289eddb591991c9bc7321dc5b186b">verbose</a>=True, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aa2f2b0beb5baed47e37220c98ece96e3">secure_collision</a>=True, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#acc9ec4d0c1951c3b10cbf14cc5f97e9c">trans_plugin</a>=True, <a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a3509861d9e8bb8becf57f2e2205babea">ident_size</a>=4)</td></tr>
<tr class="separator:a5c9999ae227add204f1e9c68116c7dfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b66a346f637e476882980fe3d2d5a64"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a8b66a346f637e476882980fe3d2d5a64">checkMuscularEffort</a> (self)</td></tr>
<tr class="separator:a8b66a346f637e476882980fe3d2d5a64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27f603792aeacc9c13f6d936557fa77a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a27f603792aeacc9c13f6d936557fa77a">createSTLfiles</a> (self)</td></tr>
<tr class="separator:a27f603792aeacc9c13f6d936557fa77a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48461e889b23057b565deea3475e719f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a48461e889b23057b565deea3475e719f">find_mins_maxs</a> (self, obj)</td></tr>
<tr class="separator:a48461e889b23057b565deea3475e719f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d5c1112d55181d2f345e0efb8a1b00b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a9d5c1112d55181d2f345e0efb8a1b00b">getSTLApproximation</a> (self, stl_file, body_name)</td></tr>
<tr class="separator:a9d5c1112d55181d2f345e0efb8a1b00b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30682855052cbf715da98edd142cb52"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ad30682855052cbf715da98edd142cb52">writeApproximation</a> (self, name_type, visual_name, f, str_rpy_transform, str_xyz_transform, str_scale_factors, type_obj, carac_obj)</td></tr>
<tr class="separator:ad30682855052cbf715da98edd142cb52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b24c47e55b6bd27883029a24d88b31f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a1b24c47e55b6bd27883029a24d88b31f">writeExact</a> (self, name_type, visual_name, <a class="el" href="namespaceosim2urdf__parser__tst.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a>, f, str_rpy_transform, str_xyz_transform, str_scale_factors)</td></tr>
<tr class="separator:a1b24c47e55b6bd27883029a24d88b31f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3192ebfe37c241f2c79b60de746d748b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a3192ebfe37c241f2c79b60de746d748b">writeFakeLink</a> (self, f, body_name)</td></tr>
<tr class="separator:a3192ebfe37c241f2c79b60de746d748b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67bb33ca09dbd625376e55d25de03506"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a67bb33ca09dbd625376e55d25de03506">writeFloatingJoint</a> (self, f, joint_name, parent, child, joint_placement_trans, R)</td></tr>
<tr class="separator:a67bb33ca09dbd625376e55d25de03506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72a6370d0c124efc84ba57bca0751b8d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a72a6370d0c124efc84ba57bca0751b8d">writeJoint</a> (self, f, joint)</td></tr>
<tr class="separator:a72a6370d0c124efc84ba57bca0751b8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a06e16f97e34c7d89150ee89f5b0ca0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a1a06e16f97e34c7d89150ee89f5b0ca0">writeLaunchFile</a> (self)</td></tr>
<tr class="separator:a1a06e16f97e34c7d89150ee89f5b0ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77a8cf16ce6fcbd2fc537f72d73b177e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a77a8cf16ce6fcbd2fc537f72d73b177e">writeLinkVisuals</a> (self, f, body)</td></tr>
<tr class="separator:a77a8cf16ce6fcbd2fc537f72d73b177e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dc16da66cd82e93f836e58f6011c882"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a7dc16da66cd82e93f836e58f6011c882">writeModelToURDF</a> (self)</td></tr>
<tr class="separator:a7dc16da66cd82e93f836e58f6011c882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11cb0281d5e42c8e2aeb55b70a0f6f0d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a11cb0281d5e42c8e2aeb55b70a0f6f0d">writeMultipleDimensionJoint</a> (self, f, joint_axis_names, parent, child, joint_limits, joint_axis, joint_placement, dim)</td></tr>
<tr class="separator:a11cb0281d5e42c8e2aeb55b70a0f6f0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c68958228d3790f03636868e3df3f3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a42c68958228d3790f03636868e3df3f3">writeOneDofRevoluteJoint</a> (self, f, joint_name, parent, child, joint_limits, joint_axis, joint_placement_trans, joint_placement_rot)</td></tr>
<tr class="separator:a42c68958228d3790f03636868e3df3f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bec839530c3499b27041d88735b0341"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a4bec839530c3499b27041d88735b0341">writeTransmission</a> (self, f, joint_name)</td></tr>
<tr class="separator:a4bec839530c3499b27041d88735b0341"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a251ca4ac77557e16c4e32aba05a92d62"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a251ca4ac77557e16c4e32aba05a92d62">approx_effort</a></td></tr>
<tr class="separator:a251ca4ac77557e16c4e32aba05a92d62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51da8e68d8bd522c6daacb4dc3e67c50"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a51da8e68d8bd522c6daacb4dc3e67c50">approx_velocity</a></td></tr>
<tr class="separator:a51da8e68d8bd522c6daacb4dc3e67c50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a918d0ef2f115babaac60646e6e736076"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a918d0ef2f115babaac60646e6e736076">bpart</a></td></tr>
<tr class="separator:a918d0ef2f115babaac60646e6e736076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27dbffa1687bc480f4f4a42987059465"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a27dbffa1687bc480f4f4a42987059465">correc_stl_dic</a></td></tr>
<tr class="separator:a27dbffa1687bc480f4f4a42987059465"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69767ec321ccef6e3370be43e437e00a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a69767ec321ccef6e3370be43e437e00a">dic_body</a></td></tr>
<tr class="separator:a69767ec321ccef6e3370be43e437e00a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e0e68b3bdd3f1248b0b278e434fc90f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a0e0e68b3bdd3f1248b0b278e434fc90f">exactly_collision</a></td></tr>
<tr class="separator:a0e0e68b3bdd3f1248b0b278e434fc90f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad143f53e4f83b6d81380060156d750f2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ad143f53e4f83b6d81380060156d750f2">exactly_visual</a></td></tr>
<tr class="separator:ad143f53e4f83b6d81380060156d750f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeee11a50a3c5740b7a7c0c37ec346fef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aeee11a50a3c5740b7a7c0c37ec346fef">fake_in</a></td></tr>
<tr class="separator:aeee11a50a3c5740b7a7c0c37ec346fef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af290f2c18b9e09584fcff551df5bbf96"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#af290f2c18b9e09584fcff551df5bbf96">fake_mass</a></td></tr>
<tr class="separator:af290f2c18b9e09584fcff551df5bbf96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fe57e2d3d2cba9a3aeba2f629eaa78b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a2fe57e2d3d2cba9a3aeba2f629eaa78b">ident</a></td></tr>
<tr class="separator:a2fe57e2d3d2cba9a3aeba2f629eaa78b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3509861d9e8bb8becf57f2e2205babea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a3509861d9e8bb8becf57f2e2205babea">ident_size</a></td></tr>
<tr class="separator:a3509861d9e8bb8becf57f2e2205babea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abae12942907b5c6f4793303799356689"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#abae12942907b5c6f4793303799356689">ident_trans</a></td></tr>
<tr class="separator:abae12942907b5c6f4793303799356689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49654e4709f40aecccada266daa32fc6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a49654e4709f40aecccada266daa32fc6">idx</a></td></tr>
<tr class="separator:a49654e4709f40aecccada266daa32fc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e727d21dc5d5f22228b3fc3128cc3f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a6e727d21dc5d5f22228b3fc3128cc3f7">joint_transformations</a></td></tr>
<tr class="separator:a6e727d21dc5d5f22228b3fc3128cc3f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba63892df47e09193b67381ac5511c8f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aba63892df47e09193b67381ac5511c8f">L_rot</a></td></tr>
<tr class="separator:aba63892df47e09193b67381ac5511c8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae725670f408a159b7e619f8bb4c6b09"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aae725670f408a159b7e619f8bb4c6b09">launchfile_add</a></td></tr>
<tr class="separator:aae725670f408a159b7e619f8bb4c6b09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a215658c9565f4c3960ee86a3cd0ab4ef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a215658c9565f4c3960ee86a3cd0ab4ef">launchfile_name</a></td></tr>
<tr class="separator:a215658c9565f4c3960ee86a3cd0ab4ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79713fe640286326f6732ecc5f552cdc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a79713fe640286326f6732ecc5f552cdc">M_forces</a></td></tr>
<tr class="separator:a79713fe640286326f6732ecc5f552cdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4f7e1d166d82a812e6b3d28096a1d85"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aa4f7e1d166d82a812e6b3d28096a1d85">model_name</a></td></tr>
<tr class="separator:aa4f7e1d166d82a812e6b3d28096a1d85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87faa527760b844c4e88d89b48174890"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a87faa527760b844c4e88d89b48174890">osim_filename</a></td></tr>
<tr class="separator:a87faa527760b844c4e88d89b48174890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f54d2dc5d4fa370b21318fc2048ca16"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a9f54d2dc5d4fa370b21318fc2048ca16">osim_path</a></td></tr>
<tr class="separator:a9f54d2dc5d4fa370b21318fc2048ca16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a867dd9de7dbe4a0dae61233f773567f4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a867dd9de7dbe4a0dae61233f773567f4">osMpi</a></td></tr>
<tr class="separator:a867dd9de7dbe4a0dae61233f773567f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05292cedbe25b142d65bd8dc74b66293"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a05292cedbe25b142d65bd8dc74b66293">osMpi_rpy</a></td></tr>
<tr class="separator:a05292cedbe25b142d65bd8dc74b66293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e9f9e96068c3dbf50b80eff7ad568ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a4e9f9e96068c3dbf50b80eff7ad568ab">package_name</a></td></tr>
<tr class="separator:a4e9f9e96068c3dbf50b80eff7ad568ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34006181fbe1b1e4a989cc5b25ccedc8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a34006181fbe1b1e4a989cc5b25ccedc8">package_path</a></td></tr>
<tr class="separator:a34006181fbe1b1e4a989cc5b25ccedc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5181f9040d34644c5e894bd10696734"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ae5181f9040d34644c5e894bd10696734">position_controller</a></td></tr>
<tr class="separator:ae5181f9040d34644c5e894bd10696734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a3a35a3d7a6d53a62737d6898ac68b7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a8a3a35a3d7a6d53a62737d6898ac68b7">pwd_begin_launchfile</a></td></tr>
<tr class="separator:a8a3a35a3d7a6d53a62737d6898ac68b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2d2414dfd5b61f10412f4025c787306"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ae2d2414dfd5b61f10412f4025c787306">pymodel</a></td></tr>
<tr class="separator:ae2d2414dfd5b61f10412f4025c787306"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f2b0beb5baed47e37220c98ece96e3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aa2f2b0beb5baed47e37220c98ece96e3">secure_collision</a></td></tr>
<tr class="separator:aa2f2b0beb5baed47e37220c98ece96e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad558ffb3171e386b285050445ffde295"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#ad558ffb3171e386b285050445ffde295">stl_path</a></td></tr>
<tr class="separator:ad558ffb3171e386b285050445ffde295"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc9ec4d0c1951c3b10cbf14cc5f97e9c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#acc9ec4d0c1951c3b10cbf14cc5f97e9c">trans_plugin</a></td></tr>
<tr class="separator:acc9ec4d0c1951c3b10cbf14cc5f97e9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6224f4c93a9b05af6bb4be39dadc5be4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a6224f4c93a9b05af6bb4be39dadc5be4">urdf_filename</a></td></tr>
<tr class="separator:a6224f4c93a9b05af6bb4be39dadc5be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff9a753257930c8a7cf4154d1db4fb46"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aff9a753257930c8a7cf4154d1db4fb46">urdf_path</a></td></tr>
<tr class="separator:aff9a753257930c8a7cf4154d1db4fb46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9e289eddb591991c9bc7321dc5b186b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#aa9e289eddb591991c9bc7321dc5b186b">verbose</a></td></tr>
<tr class="separator:aa9e289eddb591991c9bc7321dc5b186b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14b6c255e88e6bed45a209ce767dd623"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classosim2urdf__parser__tst_1_1Osim2URDF.html#a14b6c255e88e6bed45a209ce767dd623">vtp_path</a></td></tr>
<tr class="separator:a14b6c255e88e6bed45a209ce767dd623"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Transform a .osim file into a .urdf file.
</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5c9999ae227add204f1e9c68116c7dfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c9999ae227add204f1e9c68116c7dfe">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def __init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osim_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>vtp_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ros_package_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>exactly_visual</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>exactly_collision</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>correc_stl_dic</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>verbose</em> = <code>True</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>secure_collision</em> = <code>True</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>trans_plugin</em> = <code>True</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ident_size</em> = <code>4</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor of the Osim2URDF class.

Parameters
----------
osim_path : String
    Path to the .osim file. It should not end by a "/".
    
vtp_path : String
    Path to the .vtp files of the model. Those files will then
    be converted into .stl files. It should not end by a "/".
    (If you already have the .stl files but not the .vtp, you can
     copy the folder (named stl) containing those files into the 
     following path : 
 (ros_package_path)/description/(name of .osim) )
    
filename : String
    Name to the .osim file. Same name will be used for the URDF file.

ros_package_path : String
    Path to the ROS package associated with the control of the URDF model.
    It should not end by a "/".
    Intervening directly in the ROS package during the realization of the URDF 
    is necessary for the use of the joint_state_publisher package, in order to avoid 
    having to handwrite all the joints in the URDF.

exactly_visual : Boolean
    True : try to represent the visual aspect of the model from the .stl files
    False : use approximations according to the dimensions of the .stl file.
    
exactly_collision : Boolean
    True : try to represent the collision aspect of the model from the .stl files
    False : use approximations according to the dimensions of the .stl file.
    
correc_stl_dic: Dictionnary of dictionnaries
    Sometimes, the stl files could have some mistakes into them, especially
    about the position of their mass center. In order to fix those mistakes,
    the user can add in this dictionary the names of the stl files or body parts 
    causing problems, as well as their true position depending on whether we are 
    dealing with an exact or approximate representation of the human body.
    Then, during the writing of the URDF file, the algorithm will check those
    informations and use them if necessary.
    
    To sum up, here's a example of an element of this dictionnary :

'name of stl file' : {True_Case : [ coordinates xyz of the mass center of element in case true ],
                      False_Case : [ coordinates xyz of the mass center of element in case false ]
                      }

'name of body part' : {True_Case : [ coordinates rpy xyz of the origin of all the .stl parts of the
                                    body part in case true ],
                      False_Case : [ coordinates rpy xyz of the origin of all the .stl parts of the
                                    body part in case false ]
                      }   

    With True_Case and False_Case respectively the boolean "True" and "False".
    If no correction is needed in True_Case or False_Case, the list should be empty.
    
    Ex : 
 'stl file bofoot': {True:[],
                    False:[-0.00004618,  0.025, -0.00304539]
                    },
 'body part fingers_r':{True:[0.,0.,0.,0.,0.,0.], 
                        False:[]
                        },                
verbose : Boolean
    Activate the print functions of the algorithm.
    

secure_collision : Boolean
    True : in the case the exactly_collision parameter is activated, use an approximation
    of the .stl to secure the collision parameters of the stl file.
    False : deactivate this option.
    
trans_plugin : Boolean
    Activates the writing of the transmission tag and of the .yaml file
    containing the controllers of every joint. 

ident_size : Int
    Allows to set the indentation size in the realized files (.urdf, .yaml, and .launch)

Returns
-------
None.</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8b66a346f637e476882980fe3d2d5a64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b66a346f637e476882980fe3d2d5a64">&#9670;&nbsp;</a></span>checkMuscularEffort()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def checkMuscularEffort </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Create a Matrix containing the maximal effort between each
body parts.

Stills in Beta, as this information may not be useful for Rviz or
Pinocchio. 

As for now, this is done by realizing an average of the product of the
optimal_fiber_length and the max_isometric_force of each muscle between
the concerned body parts.

Returns
-------
None.</pre> 
</div>
</div>
<a id="a27f603792aeacc9c13f6d936557fa77a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27f603792aeacc9c13f6d936557fa77a">&#9670;&nbsp;</a></span>createSTLfiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def createSTLfiles </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Create the .stl files from the .vtp files, and save them at the
same location as the .urdf (if those files were not already created).
This is done thanks to a temporary bash script.
Warning : this step can take a few minutes!

Returns
-------
None.</pre> 
</div>
</div>
<a id="a48461e889b23057b565deea3475e719f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48461e889b23057b565deea3475e719f">&#9670;&nbsp;</a></span>find_mins_maxs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def find_mins_maxs </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>obj</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Reads the .stl file, and get it's minimum and maximum dimensions
on each of the axes ( of the coordinate system written into the
.stl file).

Parameters
----------
obj : Mesh object
    Object describing the .stl file.

Returns
-------
minx, maxx : float
    Minimum and maximum positions of the points of the .stl file, on 
    the x axis. 
miny, maxy : float
    Minimum and maximum positions of the points of the .stl file, on 
    the y axis. 
minz, maxz : float
    Minimum and maximum positions of the points of the .stl file, on 
    the z axis. </pre> 
</div>
</div>
<a id="a9d5c1112d55181d2f345e0efb8a1b00b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d5c1112d55181d2f345e0efb8a1b00b">&#9670;&nbsp;</a></span>getSTLApproximation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def getSTLApproximation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>stl_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>body_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Reads an .stl file and get usefull informations from this file, in order
to approximate it by a geometric object supported by the .urdf format 
( a box, a cylinder, or a sphere).

Parameters
----------
stl_file : String
    Path to the .stl file currently under review.
body_name : String
    Name of the body associated with the .stl file.

Returns
-------

type_obj : String
    Name of the object approximating the .stl file (cylinder, box, or sphere)
    
carac_obj : List of float
    Features of the object approximating the .stl file.
    
    Cylinder : [radius of the cylinder, length of the cylinder ]
    
    Sphere : [radius of the sphere]
    
    Box : [Size of box on the x axis, Size of box on y axis, Size of box on z axis]</pre> 
</div>
</div>
<a id="ad30682855052cbf715da98edd142cb52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad30682855052cbf715da98edd142cb52">&#9670;&nbsp;</a></span>writeApproximation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeApproximation </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>name_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>visual_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>str_rpy_transform</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>str_xyz_transform</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>str_scale_factors</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>type_obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>carac_obj</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write an approximation of the .stl file as an geometry object supported 
by the .urdf format, for a tag specified by the variable name_type.

This feature is added for two reasons : 
    * Solve issues with corrupted .stl files, that won't be read afterwards
    during the visualization of the .urdf file.
    
    * Reduce the complexity of calculating model surfaces (for example, 
    to calculate possible collisions of the model with other elements 
    in space).

It won't look as pretty as with a .stl file, but it is nearly sure it 
will work well.        

Parameters
----------
name_type : String
    Type of the tag that should be written into the .urdf file.
    
visual_name : String
    Name of the .stl file.
    
f : File
    The .urdf file.
    
str_rpy_transform : String
    String representing the rpy origin of the .stl object.
    
str_xyz_transform : String
    String representing the xyz origin of the .stl object.
    
str_scale_factors : String
    String representing the scale factors of the .stl object.

type_obj : String
    Name of the object approximating the .stl file (cylinder, box, or sphere)
    
carac_obj : List of float
    Features of the object approximating the .stl file.
    
    Cylinder : [radius of the cylinder, length of the cylinder ]
    
    Sphere : [radius of the sphere]
    
    Box : [Size of box on the x axis, Size of box on y axis, Size of box on z axis]

Returns
-------
None.</pre> 
</div>
</div>
<a id="a1b24c47e55b6bd27883029a24d88b31f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b24c47e55b6bd27883029a24d88b31f">&#9670;&nbsp;</a></span>writeExact()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeExact </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>name_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>visual_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>str_rpy_transform</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>str_xyz_transform</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>str_scale_factors</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write the exact .stl file object into the .urdf file, for a tag 
specified by the variable name_type.        

Parameters
----------
name_type : String
    Type of the tag that should be written into the .urdf file.
    
visual_name : String
    Name of the .stl file.
    
f : File
    The .urdf file.
    
str_rpy_transform : String
    String representing the rpy origin of the .stl object.
    
str_xyz_transform : String
    String representing the xyz origin of the .stl object.
    
str_scale_factors : String
    String representing the scale factors of the .stl object.

Returns
-------
None.</pre> 
</div>
</div>
<a id="a3192ebfe37c241f2c79b60de746d748b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3192ebfe37c241f2c79b60de746d748b">&#9670;&nbsp;</a></span>writeFakeLink()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeFakeLink </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>body_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">In the case of a joint with more than one DOF (in order to
keep the limits into the URDF file), we create a fake link which will
be used to express the transform. 

Here, the fake link is written consecutively to the fake joint.         

Parameters
----------
f : File
    The URDF file currently written.
    
body_name : String
    The name associated with the fake link currently written.

Returns
-------
None.</pre> 
</div>
</div>
<a id="a67bb33ca09dbd625376e55d25de03506"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67bb33ca09dbd625376e55d25de03506">&#9670;&nbsp;</a></span>writeFloatingJoint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeFloatingJoint </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>child</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_placement_trans</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>R</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write a floating Joint into URDF file.
(Normally, only joint from ground to 1st part of body)

https://github.com/ros/robot_model/issues/188 : according to this,
there is an issue with floating joints for joint_state_publisher. In order
to fix this, we'll just add a static transform publisher to the launchfile.


NB : we also write a floating joint into the urdf, just to be sure that the
joint_state_publisher node won't consider that there is two links without any
connexion, thus two root links.

Parameters
----------
f : File
    The URDF file currently written.
    
joint_name : String
    The name associated with the joint currently being processed.
    
parent : String
    Name of the parent body part of the joint.
    
child : String
    Name of the child body part of the joint.
    
joint_placement_trans : Array 1x3
    Position xyz of the origin of the joint.

R : numpy.array (3x3)
    Rotation matrix of the origin of the joint

Returns
-------
None.</pre> 
</div>
</div>
<a id="a72a6370d0c124efc84ba57bca0751b8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72a6370d0c124efc84ba57bca0751b8d">&#9670;&nbsp;</a></span>writeJoint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeJoint </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write one Joint into the URDF file f.

Parameters
----------
f : File
    The URDF file currently written.
joint : Int
    The number associated with the joint currently being processed.

Returns
-------
None.</pre> 
</div>
</div>
<a id="a1a06e16f97e34c7d89150ee89f5b0ca0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a06e16f97e34c7d89150ee89f5b0ca0">&#9670;&nbsp;</a></span>writeLaunchFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeLaunchFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write the launchfile associated with the URDF file.

NB : A small part of this launchfile is static and written into the 
"begin_launcher.txt" file. Should you need to add more nodes to the
launchfile of the URDF, you can add them into this file.

Returns
-------
None.</pre> 
</div>
</div>
<a id="a77a8cf16ce6fcbd2fc537f72d73b177e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77a8cf16ce6fcbd2fc537f72d73b177e">&#9670;&nbsp;</a></span>writeLinkVisuals()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeLinkVisuals </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>body</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write a link with multiple STL files, as the .urdf format supports
this feature (which avoids having to write a large number of useless 
links for each .stl file.).

Parameters
----------
f : File
    The URDF file currently written.
body : Int
    The number associated with the body part currently being processed.

Returns
-------
None.</pre> 
</div>
</div>
<a id="a7dc16da66cd82e93f836e58f6011c882"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dc16da66cd82e93f836e58f6011c882">&#9670;&nbsp;</a></span>writeModelToURDF()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeModelToURDF </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write the URDF file.
Can also write the files useful for the package controller_manager 
(control.yaml) and for the ros package (.launch).

Returns
-------
None.</pre> 
</div>
</div>
<a id="a11cb0281d5e42c8e2aeb55b70a0f6f0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11cb0281d5e42c8e2aeb55b70a0f6f0d">&#9670;&nbsp;</a></span>writeMultipleDimensionJoint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeMultipleDimensionJoint </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_axis_names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>child</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_limits</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_placement</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dim</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write a revolute joint with multiple DOF. 
As the URDF format do not accept to write a joint with multiple DOF and limits
on its DOF, the trick is to write multiple one DOF joint between the parent
and the child link (or body part). To do so, some fake links are created between
the parent joint and the child joint, and each of these fake links has a
one DOF joint.

Parameters
----------
f : File
    The URDF file currently written.
    
joint_axis_names : List of String
    The list of names of each DOF of the joint.
    
parent : String
    Name of the parent body part of the joint.
    
child : String
    Name of the child body part of the joint.
    
joint_limits : List ( format : [ [ ['0.0'],['3.14'] ], [ ['-1.57'],['1.57'] ], ... ])
    List containing the angular limits of the joints on all its DOF.

joint_axis : Array 3xDOF
    The joint axis specified in the joint frame on each DOF. Those are the axis of rotation for the
    revolute joint, specified in the joint frame of reference.
    
joint_placement_trans : Array DOFx3
    Position xyz of the origin of the joint on each DOF axis.
    
dim : Int
    Number of DOF of the joint.

Returns
-------
None.</pre> 
</div>
</div>
<a id="a42c68958228d3790f03636868e3df3f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42c68958228d3790f03636868e3df3f3">&#9670;&nbsp;</a></span>writeOneDofRevoluteJoint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeOneDofRevoluteJoint </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>child</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_limits</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_placement_trans</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_placement_rot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write one DOF revolute Joint into URDF file

Parameters
----------
f : File
    The URDF file currently written.
    
joint_name : String
    The name associated with the joint currently being processed.
    
parent : String
    Name of the parent body part of the joint.
    
child : String
    Name of the child body part of the joint.
    
joint_limits : List ( format : [ ['-1.57'],['1.57'] ] )
    List containing the angular limits of the joints.

joint_axis : Array 3x1
    The joint axis specified in the joint frame. This is the axis of rotation for the
    revolute joint, specified in the joint frame of reference.
    
joint_placement_trans : Array 1x3
    Position xyz of the origin of the joint.
    
joint_placement_rot : Array 1x3
    Orientation rpy of the origin of the joint.

Returns
-------
None.</pre> 
</div>
</div>
<a id="a4bec839530c3499b27041d88735b0341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bec839530c3499b27041d88735b0341">&#9670;&nbsp;</a></span>writeTransmission()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def writeTransmission </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>joint_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Write the transmission elements and the controller elements of the joint,
in order to be used by the ros_control package.

Parameters
----------
f : File
    The URDF file currently written.
joint_name : String
    The name associated with the joint currently being processed.

Returns
-------
None.</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a251ca4ac77557e16c4e32aba05a92d62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a251ca4ac77557e16c4e32aba05a92d62">&#9670;&nbsp;</a></span>approx_effort</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">approx_effort</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a51da8e68d8bd522c6daacb4dc3e67c50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51da8e68d8bd522c6daacb4dc3e67c50">&#9670;&nbsp;</a></span>approx_velocity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">approx_velocity</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a918d0ef2f115babaac60646e6e736076"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a918d0ef2f115babaac60646e6e736076">&#9670;&nbsp;</a></span>bpart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bpart</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a27dbffa1687bc480f4f4a42987059465"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27dbffa1687bc480f4f4a42987059465">&#9670;&nbsp;</a></span>correc_stl_dic</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">correc_stl_dic</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a69767ec321ccef6e3370be43e437e00a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69767ec321ccef6e3370be43e437e00a">&#9670;&nbsp;</a></span>dic_body</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dic_body</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e0e68b3bdd3f1248b0b278e434fc90f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e0e68b3bdd3f1248b0b278e434fc90f">&#9670;&nbsp;</a></span>exactly_collision</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">exactly_collision</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad143f53e4f83b6d81380060156d750f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad143f53e4f83b6d81380060156d750f2">&#9670;&nbsp;</a></span>exactly_visual</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">exactly_visual</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeee11a50a3c5740b7a7c0c37ec346fef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeee11a50a3c5740b7a7c0c37ec346fef">&#9670;&nbsp;</a></span>fake_in</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fake_in</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af290f2c18b9e09584fcff551df5bbf96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af290f2c18b9e09584fcff551df5bbf96">&#9670;&nbsp;</a></span>fake_mass</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fake_mass</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2fe57e2d3d2cba9a3aeba2f629eaa78b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fe57e2d3d2cba9a3aeba2f629eaa78b">&#9670;&nbsp;</a></span>ident</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ident</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3509861d9e8bb8becf57f2e2205babea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3509861d9e8bb8becf57f2e2205babea">&#9670;&nbsp;</a></span>ident_size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ident_size</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abae12942907b5c6f4793303799356689"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abae12942907b5c6f4793303799356689">&#9670;&nbsp;</a></span>ident_trans</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ident_trans</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a49654e4709f40aecccada266daa32fc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49654e4709f40aecccada266daa32fc6">&#9670;&nbsp;</a></span>idx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">idx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e727d21dc5d5f22228b3fc3128cc3f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e727d21dc5d5f22228b3fc3128cc3f7">&#9670;&nbsp;</a></span>joint_transformations</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">joint_transformations</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba63892df47e09193b67381ac5511c8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba63892df47e09193b67381ac5511c8f">&#9670;&nbsp;</a></span>L_rot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">L_rot</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae725670f408a159b7e619f8bb4c6b09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae725670f408a159b7e619f8bb4c6b09">&#9670;&nbsp;</a></span>launchfile_add</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">launchfile_add</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a215658c9565f4c3960ee86a3cd0ab4ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a215658c9565f4c3960ee86a3cd0ab4ef">&#9670;&nbsp;</a></span>launchfile_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">launchfile_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a79713fe640286326f6732ecc5f552cdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79713fe640286326f6732ecc5f552cdc">&#9670;&nbsp;</a></span>M_forces</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">M_forces</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4f7e1d166d82a812e6b3d28096a1d85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4f7e1d166d82a812e6b3d28096a1d85">&#9670;&nbsp;</a></span>model_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">model_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a87faa527760b844c4e88d89b48174890"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87faa527760b844c4e88d89b48174890">&#9670;&nbsp;</a></span>osim_filename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">osim_filename</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9f54d2dc5d4fa370b21318fc2048ca16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f54d2dc5d4fa370b21318fc2048ca16">&#9670;&nbsp;</a></span>osim_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">osim_path</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a867dd9de7dbe4a0dae61233f773567f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a867dd9de7dbe4a0dae61233f773567f4">&#9670;&nbsp;</a></span>osMpi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">osMpi</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05292cedbe25b142d65bd8dc74b66293"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05292cedbe25b142d65bd8dc74b66293">&#9670;&nbsp;</a></span>osMpi_rpy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">osMpi_rpy</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e9f9e96068c3dbf50b80eff7ad568ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e9f9e96068c3dbf50b80eff7ad568ab">&#9670;&nbsp;</a></span>package_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">package_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a34006181fbe1b1e4a989cc5b25ccedc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34006181fbe1b1e4a989cc5b25ccedc8">&#9670;&nbsp;</a></span>package_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">package_path</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5181f9040d34644c5e894bd10696734"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5181f9040d34644c5e894bd10696734">&#9670;&nbsp;</a></span>position_controller</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">position_controller</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a3a35a3d7a6d53a62737d6898ac68b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a3a35a3d7a6d53a62737d6898ac68b7">&#9670;&nbsp;</a></span>pwd_begin_launchfile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pwd_begin_launchfile</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2d2414dfd5b61f10412f4025c787306"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2d2414dfd5b61f10412f4025c787306">&#9670;&nbsp;</a></span>pymodel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pymodel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2f2b0beb5baed47e37220c98ece96e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f2b0beb5baed47e37220c98ece96e3">&#9670;&nbsp;</a></span>secure_collision</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">secure_collision</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad558ffb3171e386b285050445ffde295"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad558ffb3171e386b285050445ffde295">&#9670;&nbsp;</a></span>stl_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">stl_path</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acc9ec4d0c1951c3b10cbf14cc5f97e9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc9ec4d0c1951c3b10cbf14cc5f97e9c">&#9670;&nbsp;</a></span>trans_plugin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">trans_plugin</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6224f4c93a9b05af6bb4be39dadc5be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6224f4c93a9b05af6bb4be39dadc5be4">&#9670;&nbsp;</a></span>urdf_filename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">urdf_filename</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aff9a753257930c8a7cf4154d1db4fb46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff9a753257930c8a7cf4154d1db4fb46">&#9670;&nbsp;</a></span>urdf_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">urdf_path</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9e289eddb591991c9bc7321dc5b186b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9e289eddb591991c9bc7321dc5b186b">&#9670;&nbsp;</a></span>verbose</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">verbose</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a14b6c255e88e6bed45a209ce767dd623"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14b6c255e88e6bed45a209ce767dd623">&#9670;&nbsp;</a></span>vtp_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">vtp_path</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/<a class="el" href="osim2urdf__parser__tst_8py.html">osim2urdf_parser_tst.py</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
